2017-03-28 06:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004652MPDAudio Output - httpdpublic2017-02-19 19:31
Reporterrapha 
Assigned Tocirrus 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSOpenBSDOS Version6.0
Product Version0.20 
Target VersionFixed in Version0.20 
Summary0004652: httpd output plugin, icy metadata Segmentation fault
DescriptionThe crash happens only after several hours, typically it takes between one and three days.
Steps To ReproducePlay back a random playlist for a couple of days on OpenBSD using the attached mpd.conf.
Additional InformationProgram stopped at 0x1f0ccdc0f870.
It stopped with signal SIGSEGV, Segmentation fault.
Type "info stack" or "info registers" for more information.
(gdb) bt
#0 0x00001f0ccdc0f870 in *_libc_memcpy (dst0=0x1f0c520c1a10, src0=0x1f0cafd2c000,
    length=<optimized out>) at /usr/src/lib/libc/string/memcpy.c:96
#1 0x00001f0a242cc955 in Page::Copy (data=0x1f0cafd2bf80, size=129)
    at src/output/plugins/httpd/Page.cxx:44
#2 0x00001f0a242cc645 in icy_server_metadata_page (tag=...,
    types=0x1f0a24458621 <HttpdOutput::SendTag(Tag const&)::types+3>)
    at src/output/plugins/httpd/IcyMetaDataServer.cxx:112
#3 0x00001f0a242cace9 in HttpdOutput::SendTag (this=0x1f0cef7d4000, tag=...)
    at src/output/plugins/httpd/HttpdOutputPlugin.cxx:497
#4 0x00001f0a242c86aa in httpd_output_tag (ao=0x1f0cef7d4040, tag=...)
    at src/output/plugins/httpd/HttpdOutputPlugin.cxx:511
#5 0x00001f0a24262af9 in ao_plugin_send_tag (ao=0x1f0cef7d4040, tag=...)
    at src/output/OutputPlugin.cxx:78
#6 0x00001f0a24261c73 in AudioOutput::PlayChunk (this=0x1f0cef7d4040) at src/output/OutputThread.cxx:279
#7 0x00001f0a242615cb in AudioOutput::Play (this=0x1f0cef7d4040) at src/output/OutputThread.cxx:356
#8 0x00001f0a242609d5 in AudioOutput::Task (this=0x1f0cef7d4040) at src/output/OutputThread.cxx:504
#9 0x00001f0a2426044d in AudioOutput::Task (arg=0x1f0cef7d4040) at src/output/OutputThread.cxx:520
#10 0x00001f0a24306bd1 in Thread::ThreadProc (ctx=0x1f0cef7d40b0) at src/thread/Thread.cxx:105
#11 0x00001f0c9bc563de in _rthread_start (v=0x78) at /usr/src/lib/librthread/rthread.c:114
#12 0x00001f0ccdbb488b in __tfork_thread () at /usr/src/lib/libc/arch/amd64/sys/tfork_thread.S:75
#13 0x0000000000000000 in ?? ()
(gdb) frame 2
#2 0x00001f0a242cc645 in icy_server_metadata_page (tag=...,
    types=0x1f0a24458621 <HttpdOutput::SendTag(Tag const&)::types+3>)
    at src/output/plugins/httpd/IcyMetaDataServer.cxx:112
112 return Page::Copy(icy_string.c_str(), (icy_string[0] * 16) + 1);
(gdb) print tag
$12 = (const Tag &) @0x1f0cafd2d8f0: {duration = {<std::chrono::duration<int, std::ratio<1, 1000> >> = {
      __r = 176727}, <No data fields>}, has_playlist = false, num_items = 5, items = 0x1f0c59a415c0}


Music Player Daemon 0.20.4

Copyright (C) 2003-2007 Warren Dukes <warren.dukes@gmail.com>
Copyright 2008-2017 Max Kellermann <max.kellermann@gmail.com>
This is free software; see the source for copying conditions. There is NO
warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Database plugins:
 simple proxy

Storage plugins:
 local curl

Decoders plugins:
 [vorbis] ogg oga
 [oggflac] ogg oga
 [flac] flac
 [opus] opus ogg oga
 [sndfile] wav aiff aif au snd paf iff svx sf voc w64 pvf xi htk caf sd2
 [audiofile] wav au aiff aif
 [dsdiff] dff
 [dsf] dsf
 [faad] aac
 [mpcdec] mpc
 [mikmod] amf dsm far gdm imf it med mod mtm s3m stm stx ult uni xm
 [ffmpeg] 16sv 3g2 3gp 4xm 8svx aa3 aac ac3 afc aif aifc aiff al alaw amr anim apc ape asf atrac au aud avi avm2 avs bap bfi c93 cak cin cmv cpk daud dct divx dts dv dvd dxa eac3 film flac flc fli fll flx
flv g726 gsm gxf iss m1v m2v m2t m2ts m4a m4b m4v mad mj2 mjpeg mjpg mka mkv mlp mm mmf mov mp+ mp1 mp2 mp3 mp4 mpc mpeg mpg mpga mpp mpu mve mvi mxf nc nsv nut nuv oga ogm ogv ogx oma ogg omg opus psp pva
 qcp qt r3d ra ram rl2 rm rmvb roq rpl rvc shn smk snd sol son spx str swf tak tgi tgq tgv thp ts tsp tta xa xvid uv uv2 vb vid vob voc vp6 vmd wav webm wma wmv wsaud wsvga wv wve
 [pcm]

Filters:
 libsamplerate

Tag plugins:
 id3tag

Output plugins:
 shout null fifo sndio pipe httpd recorder

Encoder plugins:
 null vorbis opus lame wave flac

Archive plugins:
 [bz2] bz2
 [iso] iso

Input plugins:
 file archive curl ffmpeg cdio_paranoia

Playlist plugins:
 extm3u m3u pls xspf asx rss soundcloud flac cue embcue

Protocols:
 file:// http:// https:// gopher:// rtp:// rtsp:// rtmp:// rtmpt:// rtmps:// cdda://

Other features:
 icu ipv6 tcp un
TagsNo tags attached.
Attached Files
  • ? file icon mpd.conf (12,850 bytes) 2017-02-18 10:45

-Relationships
+Relationships

-Notes

~0010379

cirrus (administrator)

4bb83781e8b131737cf1de9d861757558b3839ea
+Notes

-Issue History
Date Modified Username Field Change
2017-02-18 10:45 rapha New Issue
2017-02-18 10:45 rapha File Added: mpd.conf
2017-02-19 19:31 cirrus Assigned To => cirrus
2017-02-19 19:31 cirrus Status new => resolved
2017-02-19 19:31 cirrus Resolution open => fixed
2017-02-19 19:31 cirrus Fixed in Version => 0.20
2017-02-19 19:31 cirrus Note Added: 0010379
+Issue History